<?php

/**
 * Implementiert das Neustarten und Zurücksetzten des Gateways
 * @author Miguel Palmer <mp@beronet.com>
 */
class RebootReset {
	
	/**
	 * Generiert die HTML Seite
	 * @return string HTML code
	 */
	function display() {

		$name = "REBOOT_RESET_TITLE_DIS";
		include('./includes/header.php');

                // get modules installed
                $list_lifs = Helper::getLif();

		// check the modules
               	$is_t1e1_installed  = false;
		$display_wizard_btn = false;
               	foreach ($list_lifs as $lif)
		{
               		// is T1/E1 installed ?
               	        if (preg_match('#t1e1#', $lif)) 
			{
                               	$is_t1e1_installed  = true;
				$display_wizard_btn = true;
                               	break;
                        }
			// at least one module plugged to display the wizard button
			else if (!(preg_match('#none#', $lif)))
			{
				$display_wizard_btn = true;
			}
		}

		if ($_POST['v'] != "Yes") :
			ob_start();
			?>
			<br>
			<p class="text-center lead"><? echo REBOOT_RESET_MESSAGE_REB_DIS ?></p>
			<form action='./reboot.php' method='POST' name='reboot' onsubmit='return confirm("<? echo REBOOT_RESET_CONFIRM_REBOOT_DIS ?>");'>
				<input type='hidden' name='action' value='reboot'>
				<input type='hidden' name='v' value='Yes'>
				<div class="text-center">
					<input type='submit' class='btn btn-default' name='submit' style='margin-top:5px;'
						   value='<? echo REBOOT_RESET_BUTTON_REBOOT_DIS ?>'>
				</div>
			</form>
			<br>
			<br>
			<form class='form-horizontal' action='modules/RebootReset/recreate.php?val=yes' method='POST' name='reset' 
				  onsubmit='return confirm("<? echo REBOOT_RESET_CONFIRM_RESET_DIS ?>");'>
                                <input type='hidden' name='popup' id='hiddenPopup' value='1'>

				<p class="text-center lead"><? echo REBOOT_RESET_MESSAGE_RESET_DIS ?></p>
				<p class="text-center lead"><? echo REBOOT_RESET_KEEP_SETTINGS_DIS ?></p>

				<div class="form-group">
					<label for='keep_set' class='col-sm-6 control-label'><? echo REBOOT_RESET_KEEP_SETTINGS_RES_DIS ?></label>
					<div class='col-sm-4'>
						<input type='checkbox' name='keep_set' id='id_keep_set' style='margin-top:5px;' checked>
					</div>
				</div>
				<div class="form-group">
					<label for='keep_cloud_set' class='col-sm-6 control-label'><? echo REBOOT_RESET_KEEP_CLOUD_SETTINGS_RES_DIS ?></label>
					<div class='col-sm-4'>
						<input type='checkbox' name='keep_cloud_set' id='id_keep_cloud_set' style='margin-top:5px;' checked>
					</div>
				</div>
				<div class="form-group">
					<label for='keep_sip_set' class='col-sm-6 control-label'><? echo REBOOT_RESET_KEEP_SIP_SETTINGS_RES_DIS ?></label>
					<div class='col-sm-4'>
						<input type='checkbox' name='keep_sip_set' id='keep_sip_set' style='margin-top:5px;'>
					</div>
				</div>
				<div class="form-group">
					<label for='keep_app_set' class='col-sm-6 control-label'><? echo REBOOT_RESET_KEEP_APP_CONFIG_RES_DIS ?></label>
					<div class='col-sm-4'>
						<input type='checkbox' name='keep_app_set' id='keep_app_set' style='margin-top:5px;'>
					</div>
				</div>	
				<div class="form-group">
					<label for='keep_prefix_set' class='col-sm-6 control-label'><? echo REBOOT_RESET_KEEP_PREFIX_SETTING_RES_DIS ?></label>
					<div class='col-sm-4'>
						<input type='checkbox' name='keep_prefix_set' id='keep_prefix_set' style='margin-top:5px;' checked>
					</div>
				</div>
        <?php   if ($is_t1e1_installed)
                {	?>
                                <p class="text-center lead" style="margin-top: 15px;"><? echo REBOOT_RESET_TITLE_MODE_DIS ?></p>
                                <div class="form-group" style="margin-top: -10px;">
                                        <label for='keep_hw_set' class='col-sm-6 control-label'><? echo REBOOT_RESET_DEFAULT_DIS ?></label>
                                        <div class='col-sm-4'>
                                                <input type='checkbox' name='keep_hw_set' id='id_keep_hw_set' style='margin-top:5px;' onchange="updateHTMLcode();" checked>
                                        </div>
                                </div>
        <?php   } 	?>
				<div class='text-center' id='button_html' style='margin-top: 15px;'>
                                        <input type='submit' class='btn btn-default' name='v' style='margin-right: 1px;' value='<? echo REBOOT_RESET_BUTTON_FACT_RES_DIS ?>'>
	<?php	if ($display_wizard_btn) 
		{	?>
					<a role='button' data-remote='false' data-toggle='modal' data-target='#reset-popup' class='btn btn-default' style='margin-right: 4px;' onclick="$('hiddenPopup').prop('value', 1);">Wizard</a>
	<?php	}	?>
                                </div>
                        </form>

                        <div class='modal fade bs-example-modal-lg' id='reset-popup' tabindex='-1' role='dialog' aria-labelledby='myModalLabel' aria-hidden='true'>
                                <div class='modal-dialog modal-lg'>
                                        <div class='modal-content'>
                                                <div class='modal-header'>
                                                        <button type='button' class='close' data-dismiss='modal' aria-label='Close'><span aria-hidden='true'>&times;</span></button>
                                                        <h4 class='modal-title' id='myModalLabel'><?php echo WIZARD_TITLE_DIS; ?></h4>
                                                </div>
                                                <div class='modal-body'></div>
                                        </div>
                                </div>
                        </div>

                        <script type="text/javascript">
                                $('#reset-popup').on('show.bs.modal', function(e) {

                                        var link = $(e.relatedTarget);
                                        var wizard = document.getElementById('hiddenPopup').value;

                                        var keepSet = document.getElementById('id_keep_set').checked;
                                        var keepCloudSet = document.getElementById('id_keep_cloud_set').checked;
                                        var keepPrefixSet = document.getElementById('keep_prefix_set').checked;

                                        if (wizard == 1)
                                        {
						$.ajax({
							type: 'POST',
							url: 'modules/Wizard/wizard_popup.php',
							data: {settings: 'Network', save_net: keepSet, save_cloud: keepCloudSet, save_prefix: keepPrefixSet},
							success: function (data) {
                                                		$('.modal-body').html(data);
							},
							failure: function (errMsg) {
								alert(errMsg);
							}
						});
                                        }
        <?php   if ($is_t1e1_installed)
                {       ?>
                                        else
                                        {
                                        	var keepSipSet = document.getElementById('keep_sip_set').checked;
                                        	var keepAppSet = document.getElementById('keep_app_set').checked;
						
						$.ajax({
							type: 'GET',
							url: 'modules/RebootReset/factoryreset_popup.php',
							data: {Set: keepSet, CloudSet: keepCloudSet, SipSet: keepSipSet, AppSet: keepAppSet, PrefixSet: keepPrefixSet},
							success: function (data) {
		                                                $('#myModalLabel').html('<?php echo REBOOT_RESET_TITLE_MODE_DIS; ?>');
        		                                        $('.modal-body').html(data);
							},
							failure: function (errMsg) {
								alert(errMsg);
							}
                                       		 });
					}
        <?php   }       ?>
                                });

                                $('#reset-popup').on('hidden.bs.modal', function (e) { 
                                        $('.modal-body').empty(); 
                                });

        <?php   if ($is_t1e1_installed) 
		{ 	?>
                                function updateHTMLcode () 
                                {
                                        var keepHwSet = document.getElementById('id_keep_hw_set').checked;

                                        if (keepHwSet)
                                        {
                                                document.getElementById("button_html").innerHTML =      "<input type='submit' class='btn btn-default' name='v' style='margin-right: 4px;' value='<? echo REBOOT_RESET_BUTTON_FACT_RES_DIS ?>'>" +
                                                                                                        "<a role='button' data-remote='false' data-toggle='modal' data-target='#reset-popup' class='btn btn-default' " +
													"style='margin-right: 4px;' onclick=\"$('hiddenPopup').prop('value', 1);\">Wizard</a>";
                                        }
                                        else
                                        {
                                                document.getElementById("button_html").innerHTML =      "<a role='button' data-remote='false' data-toggle='modal' data-target='#reset-popup' " +
													"class='btn btn-default' style='margin-right: 4px;' onclick=\"$('#hiddenPopup').prop('value', 0);\">" +
                                                                                                        "<?php echo REBOOT_RESET_BUTTON_FACT_RES_DIS; ?>" + 
                                                                                                        "</a>" +
                                                                                                        "<a role='button' data-remote='false' data-toggle='modal' data-target='#reset-popup' class='btn btn-default' " +
													"style='margin-right: 4px;' onclick=\"$('#hiddenPopup').prop('value', 1);\">Wizard</a>";
                                        }
                                }
        <?php   } ?>
			</script>
		<?
		endif;
		$ret .= ob_get_clean();

		// Rückgabe: Der Inhalt von der HTML-Seite
		return $ret;
	}

}
?>
